Bug 111332 - [CSS Regions] Region's float parent doesn't size according to region size but to content node size
Summary: [CSS Regions] Region's float parent doesn't size according to region size but...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords: AdobeTracked
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2013-03-04 08:17 PST by Mihai Balan
Modified: 2013-04-22 21:51 PDT (History)
4 users (show)

See Also:


Attachments
Ref-test highlighting the problem (1.10 KB, application/x-zip-compressed)
2013-03-04 08:17 PST, Mihai Balan
no flags Details
Patch (15.21 KB, patch)
2013-04-21 10:10 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch for landing (15.75 KB, patch)
2013-04-22 21:23 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Balan 2013-03-04 08:17:24 PST
Created attachment 191252 [details]
Ref-test highlighting the problem

In absence of CSS Regions, floats determine their width according to the width of their children, as per the spec.
However, when a child of a float is a region, the float will use the width of the *content flowed in the region* as their width, effectively ignoring the width of the region itself.

E.g. in the attached test case, you should see a yellow circle with a black border with a 90 degrees slice from it being black (provided you have the Ahem font installed on your machine). This circle should be entirely contained in a green rectangle. However, right now the green rectangle is as wide as the black slice (just half of the circle wide).
Comment 1 Mihnea Ovidenie 2013-04-21 10:10:29 PDT
Created attachment 198966 [details]
Patch
Comment 2 Dave Hyatt 2013-04-22 12:58:23 PDT
Comment on attachment 198966 [details]
Patch

r=me
Comment 3 Mihnea Ovidenie 2013-04-22 21:23:56 PDT
Created attachment 199145 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2013-04-22 21:51:50 PDT
Comment on attachment 199145 [details]
Patch for landing

Clearing flags on attachment: 199145

Committed r148943: <http://trac.webkit.org/changeset/148943>
Comment 5 WebKit Commit Bot 2013-04-22 21:51:52 PDT
All reviewed patches have been landed.  Closing bug.